@import url('https://fonts.googleapis.com/css2?family=Kanit:wght@300&display=swap');

html {
  font-family:'Kanit', sans-serif;
  height: 100%;
  background-image: linear-gradient(aquamarine, rgb(130, 130, 226));
  background-size: 100%;
  background-repeat: no-repeat;
}

.header-title {
  text-align: center;
  margin-bottom: 30px;
}

.search-bar {
  text-align: center;
  margin-bottom: 30px;

}

nav {
  margin: 15px;
}

form {
  font-size: 20px;
}

.topics {
  background-color: rgb(181, 255, 203);
  box-shadow: 0 2px 4px 0 rgb(73, 156, 230);
  border-radius: 15px;;
  font-size: 20px;
  padding: 6px;
  margin: 6px;
  max-width:max-content;
}

table {
  width: 30%;
  text-align: left;
  margin-left: auto;
  margin-right: auto;
}

th, td {
  padding: 15px;
}

.topic-title-table {
  font-size: 20px;
  box-shadow: 0 2px 4px 0 rgb(73, 156, 230);
}

.link, button {
  background-color: rgb(181, 255, 203);
  box-shadow: 0 2px 4px 0 rgb(73, 156, 230);
  border-radius: 15px;;
  font-size: 20px;
  padding: 6px;
  margin: 6px;
}

/* 4 stages of a link: :link, :visited, :hover, :active */
/* correspond to: unvisited, visited, mouse over, selected */

.link:link {
  color: black;
  text-decoration: none;  /* removes underline */
}

.link:visited {
  color: black;
  text-decoration: none;  /* removes underline */
}

.link:hover {
  color: red;
  text-decoration: none;  /* removes underline */
  font-size: 22px;
}

.link.active {
  color: rgb(47, 33, 131);
  text-decoration: none;  /* removes underline */
}

.news-card {
  display: grid;
  grid-template-columns: repeat(1, 1fr 1fr 1fr 1fr);
  grid-template-rows: repeat(2, 40% 60%);
}

.title {
  grid-row: 1;
  grid-column: 2 / 4;
  margin-bottom: 6px;
  margin-top: 20px;
  width: 100%;
  align-self: center;
  text-align: left;

}

.description {
  grid-row: 2;
  grid-column: 2;
}

.image {
  max-width: 250px;
  max-height: 100px;
  grid-row: 2;
  grid-column: 3;
  justify-self: right;
}


/* ANIMATION */
.emojis {
  display: grid;
  justify-content: center;
  grid-template-columns: repeat(1, 1fr 1fr 1fr 1fr 1fr 1fr);
  grid-template-rows: repeat(1, 0.5fr 2fr 1fr);
}

.space {
  grid-column: 2;
  grid-row: 2;
  font-size: 400%;
  animation-name: space;
  animation-duration: 2s;
  animation-iteration-count: infinite;
  animation-direction: alternate;
}

.food {
  grid-column: 3;
  grid-row: 2;
  position: relative;
  font-size: 400%;
  animation-name: food;
  animation-duration: 1.5s;
  animation-direction: alternate;
  animation-iteration-count: infinite;
}

.travel {
  grid-column: 4;
  grid-row: 2;
  position: relative;
  font-size: 400%;
  animation-name: travel;
  animation-duration: 5s;
  animation-direction: alternate;
  animation-iteration-count: infinite;
}

.sports {
  grid-column: 5;
  grid-row: 2;
  font-size: 400%;
  animation-name: sports;
  animation-duration: 0.5s;
  animation-timing-function: cubic-bezier(.5,0.05,1,.5);
  animation-direction: alternate;
  animation-iteration-count: infinite;
}

@keyframes space {
  0% {transform: rotate(-360deg);}
  25% {font-size: 500%;}
  50% {font-size: 550%;}
  100% {font-size: 600%;}
}

@keyframes food {
20% {transform: rotate(7deg);top: 0px;}
40% {transform: rotate(-14deg);top: 100px;}
60% {transform: rotate(4deg);top: 100px;}
80% {transform: rotate(-2deg);top: 100px;}
100% {transform: rotate(0deg);top: 100px;}
}

@keyframes travel {
  0% {font-size: 400%; left: -200px; top: 200px;}
  50% {font-size: 300%; left: 0px; top: 0px;}
  100% {font-size: 400%; left: 200px; top: 200px;}
}

@keyframes sports {
  from {transform: translate3d(0, 0, 0);}
  to {transform: translate3d(0, 200px, 0);}
}

/* you can use from and to : define start and finish */
/* or you can use % to define portions of the animation duration */
/* change position with left and top px positions */
/* have to add position as a property too  */
